TempFilesSearch:
  post:
    tags:
      - catalog_pim_temp_files
    operationId: searchPimTempFiles
    summary: Search for objects of TempFiles
    description: Search for objects of TempFiles
    x-lg-handler: '\App\Http\ApiV1\Modules\Catalog\Controllers\PimCommon\TempFilesController@search'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/temp_files.yaml#/SearchTempFilesRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/temp_files.yaml#/SearchTempFilesResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

TempFilesMeta:
  get:
    tags:
      - catalog_pim_temp_files
    operationId: getPimTempFilesMeta
    x-lg-handler: '\App\Http\ApiV1\Modules\Catalog\Controllers\PimCommon\TempFilesController@meta'
    summary: Getting a list of available fields
    description: Getting a list of available fields
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/GetResourceMetaResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
